[Pkg-php-commits] r1243 - php5/branches/etch/debian

Sean Finney seanius at alioth.debian.org
Tue Jan 27 22:54:23 UTC 2009


Author: seanius
Date: 2009-01-27 22:54:22 +0000 (Tue, 27 Jan 2009)
New Revision: 1243

Added:
   php5/branches/etch/debian/dfsg-repack.sh
Modified:
   php5/branches/etch/debian/changelog
Log:
repack due to dfsg problems with dbase

Modified: php5/branches/etch/debian/changelog
===================================================================
--- php5/branches/etch/debian/changelog	2009-01-27 22:32:00 UTC (rev 1242)
+++ php5/branches/etch/debian/changelog	2009-01-27 22:54:22 UTC (rev 1243)
@@ -1,4 +1,4 @@
-php5 (5.2.0-8+etch14) UNRELEASED; urgency=low
+php5 (5.2.0.dfsg-1+etch1) UNRELEASED; urgency=low
 
   * NOT RELEASED YET
   * The following security issues are addressed with this update:
@@ -9,6 +9,8 @@
   * Backport the patch from lenny/sid to use the system timezone database
     instead of the embedded php timezone database which is out of date.
     Patch: 143-use_embedded_timezonedb.patch (closes: #471104).
+  * Repack the etch version of php5, stripping out the (unused) dbase
+    module which contained licensing problems (closes: #498621).
 
  -- Sean Finney <seanius at debian.org>  Tue, 30 Sep 2008 20:38:57 +0200
 

Added: php5/branches/etch/debian/dfsg-repack.sh
===================================================================
--- php5/branches/etch/debian/dfsg-repack.sh	                        (rev 0)
+++ php5/branches/etch/debian/dfsg-repack.sh	2009-01-27 22:54:22 UTC (rev 1243)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+if [ ! -f "$3" ] && [ ! -f "$1" ]; then
+    echo "This script must be run via uscan or by manually specifying the tarball" >&2
+    exit 1
+fi
+
+tarball=
+
+[ -f "$3" ] && tarball="$3"
+[ -z "$tarball" -a -f "$1" ] && tarball="$1"
+
+fname="$(basename "$tarball")"
+tarball="$(readlink -f "$tarball")"
+
+tdir="$(mktemp -d)"
+trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
+
+zcat "$tarball" | tar --wildcards --delete '*/ext/dbase' > "$tdir/${fname/.gz}"
+#touch -m -r "$tarball" "$tdir/${fname/.gz}"
+gzip -9 "$tdir/${fname/.gz}"
+
+mv "$tarball" "$tarball.bkp"
+mv "$tdir/$fname" "$tarball"




More information about the Pkg-php-commits mailing list